tigase.stats

## Class StatisticsProvider

- java.lang.Object
- - javax.management.StandardMBean
  - - tigase.stats.StatisticsProvider

- All Implemented Interfaces:
    DynamicMBean, MBeanRegistration, StatisticsProviderMBean

      public class StatisticsProvider
      extends StandardMBean
      implements StatisticsProviderMBean

  Class StatisticsProvider
  Author:
    kobit

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsProvider(StatisticsCollector theRef, int historySize, long updateInterval)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAllStats(int level)` Operation exposed for management
    `int` | `getCLIOQueueSize()` Method description
    `float[]` | `getCLPacketsPerSecHistory()` Method description
    `int` | `getCLQueueSize()` Method description
    `int` | `getClusterCacheSize()` Method description
    `float` | `getClusterCompressionRatio()` Method description
    `long` | `getClusterNetworkBytes()` Method description
    `float` | `getClusterNetworkBytesPerSecond()` Method description
    `long` | `getClusterPackets()` Method description
    `float` | `getClusterPacketsPerSec()` Method description
    `int` | `getCompConnections(String comp)` Method description
    `long` | `getCompIqs(String comp)` Method description
    `long` | `getCompMessages(String comp)` Method description
    `List<String>` | `getComponentsNames()` Get Attribute exposed for management
    `Map<String,String>` | `getComponentStats(String compName, int level)` Operation exposed for management
    `long` | `getCompPackets(String comp)` Method description
    `long` | `getCompPresences(String comp)` Method description
    `int` | `getConnectionsNumber()` Method description
    `int[]` | `getConnectionsNumberHistory()` Method description
    `int` | `getCPUsNumber()` Method description
    `float` | `getCPUUsage()` Method description
    `float[]` | `getCPUUsageHistory()` Method description
    `Map<String,Object>` | `getCurStats(String[] statsKeys)` Method description
    `protected String` | `getDescription(MBeanAttributeInfo info)` Override customization hook: You can supply a customized description for MBeanAttributeInfo.getDescription()
    `protected String` | `getDescription(MBeanInfo info)` Override customization hook: You can supply a customized description for MBeanInfo.getDescription()
    `protected String` | `getDescription(MBeanOperationInfo info)` Override customization hook: You can supply a customized description for MBeanOperationInfo.getDescription()
    `protected String` | `getDescription(MBeanOperationInfo op, MBeanParameterInfo param, int sequence)` Override customization hook: You can supply a customized description for MBeanParameterInfo.getDescription()
    `long` | `getDirectMemUsed()` Method description
    `long[]` | `getDirectMemUsedHistory()` Method description
    `float` | `getHeapMemUsage()` Method description
    `float[]` | `getHeapUsageHistory()` Method description
    `long` | `getIQAuthNumber()` Method description
    `long` | `getIQOtherNumber()` Method description
    `float` | `getIQOtherNumberPerSec()` Method description
    `MBeanInfo` | `getMBeanInfo()` Method description
    `long` | `getMessagesNumber()` Method description
    `float` | `getMessagesNumberPerSec()` Method description
    `String` | `getName()` Get Attribute exposed for management
    `float` | `getNonHeapMemUsage()` Method description
    `MBeanNotificationInfo[]` | `getNotificationInfo()` Method description
    `protected String` | `getParameterName(MBeanOperationInfo op, MBeanParameterInfo param, int sequence)` Override customization hook: You can supply a customized description for MBeanParameterInfo.getName()
    `long` | `getPresencesNumber()` Method description
    `float` | `getPresencesNumberPerSec()` Method description
    `long` | `getProcesCPUTime()` Method description
    `long` | `getQueueOverflow()` Method description
    `int` | `getQueueSize()` Method description
    `long` | `getRegistered()` Method description
    `int` | `getServerConnections()` Method description
    `int[]` | `getServerConnectionsHistory()` Method description
    `long` | `getSMPacketsNumber()` Method description
    `float` | `getSMPacketsNumberPerSec()` Method description
    `float[]` | `getSMPacketsPerSecHistory()` Method description
    `int` | `getSMQueueSize()` Method description
    `float` | `getStats(String cmp_name, String stat, float def)` Method description
    `int` | `getStats(String cmp_name, String stat, int def)` Method description
    `long` | `getStats(String cmp_name, String stat, long def)` Method description
    `String` | `getStats(String cmp_name, String stat, String def)` Method description
    `Map<String,LinkedList<Object>>` | `getStatsHistory(String[] statsKeys)` Method description
    `String` | `getSystemDetails()` Method description
    `long` | `getUptime()` Method description
    `void` | `stop()` Method description

    - ### Methods inherited from class javax.management.StandardMBean

      `cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInterface, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticsProvider

          public StatisticsProvider(StatisticsCollector theRef,
                            int historySize,
                            long updateInterval)
                             throws NotCompliantMBeanException

      Constructs ...
      Parameters:
        `theRef` -
        `historySize` -
        `updateInterval` -
      Throws:
        `NotCompliantMBeanException`

  - ### Method Detail

    - #### stop

          public void stop()

      Method description

    - #### getAllStats

          public Map<String,String> getAllStats(int level)

      Operation exposed for management
      Specified by:
        `getAllStats` in interface `StatisticsProviderMBean`
      Parameters:
        `level` -
      Returns:
        java.util.Map

    - #### getCLIOQueueSize

          public int getCLIOQueueSize()

      Method description
      Specified by:
        `getCLIOQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getCLPacketsPerSecHistory

          public float[] getCLPacketsPerSecHistory()

      Method description
      Specified by:
        `getCLPacketsPerSecHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getCLQueueSize

          public int getCLQueueSize()

      Method description
      Specified by:
        `getCLQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getClusterCacheSize

          public int getClusterCacheSize()

      Method description
      Specified by:
        `getClusterCacheSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getClusterCompressionRatio

          public float getClusterCompressionRatio()

      Method description
      Specified by:
        `getClusterCompressionRatio` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getClusterNetworkBytes

          public long getClusterNetworkBytes()

      Method description
      Specified by:
        `getClusterNetworkBytes` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getClusterNetworkBytesPerSecond

          public float getClusterNetworkBytesPerSecond()

      Method description
      Specified by:
        `getClusterNetworkBytesPerSecond` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getClusterPackets

          public long getClusterPackets()

      Method description
      Specified by:
        `getClusterPackets` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getClusterPacketsPerSec

          public float getClusterPacketsPerSec()

      Method description
      Specified by:
        `getClusterPacketsPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getCompConnections

          public int getCompConnections(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:
        a value of `int`

    - #### getCompIqs

          public long getCompIqs(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:
        a value of `long`

    - #### getCompMessages

          public long getCompMessages(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:
        a value of `long`

    - #### getComponentsNames

          public List<String> getComponentsNames()

      Get Attribute exposed for management
      Specified by:
        `getComponentsNames` in interface `StatisticsProviderMBean`
      Returns:
        a value of `List`

    - #### getComponentStats

          public Map<String,String> getComponentStats(String compName,
                                             int level)

      Operation exposed for management
      Specified by:
        `getComponentStats` in interface `StatisticsProviderMBean`
      Parameters:
        `compName` -
        `level` -
      Returns:
        java.util.Map

    - #### getCompPackets

          public long getCompPackets(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:
        a value of `long`

    - #### getCompPresences

          public long getCompPresences(String comp)

      Method description
      Parameters:
        `comp` -
      Returns:
        a value of `long`

    - #### getConnectionsNumber

          public int getConnectionsNumber()

      Method description
      Specified by:
        `getConnectionsNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getConnectionsNumberHistory

          public int[] getConnectionsNumberHistory()

      Method description
      Specified by:
        `getConnectionsNumberHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int[]`

    - #### getCPUsNumber

          public int getCPUsNumber()

      Method description
      Specified by:
        `getCPUsNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getCPUUsage

          public float getCPUUsage()

      Method description
      Specified by:
        `getCPUUsage` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getCPUUsageHistory

          public float[] getCPUUsageHistory()

      Method description
      Specified by:
        `getCPUUsageHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getCurStats

          public Map<String,Object> getCurStats(String[] statsKeys)

      Method description
      Specified by:
        `getCurStats` in interface `StatisticsProviderMBean`
      Parameters:
        `statsKeys` - is a `String[]`
      Returns:
        a value of `Map`

    - #### getDirectMemUsed

          public long getDirectMemUsed()

      Method description
      Specified by:
        `getDirectMemUsed` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getDirectMemUsedHistory

          public long[] getDirectMemUsedHistory()

      Method description
      Specified by:
        `getDirectMemUsedHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long[]`

    - #### getHeapMemUsage

          public float getHeapMemUsage()

      Method description
      Specified by:
        `getHeapMemUsage` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getHeapUsageHistory

          public float[] getHeapUsageHistory()

      Method description
      Specified by:
        `getHeapUsageHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getIQAuthNumber

          public long getIQAuthNumber()

      Method description
      Specified by:
        `getIQAuthNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getIQOtherNumber

          public long getIQOtherNumber()

      Method description
      Specified by:
        `getIQOtherNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getIQOtherNumberPerSec

          public float getIQOtherNumberPerSec()

      Method description
      Specified by:
        `getIQOtherNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getMBeanInfo

          public MBeanInfo getMBeanInfo()

      Method description
      Specified by:
        `getMBeanInfo` in interface `DynamicMBean`
      Overrides:
        `getMBeanInfo` in class `StandardMBean`
      Returns:
        a value of `MBeanInfo`

    - #### getMessagesNumber

          public long getMessagesNumber()

      Method description
      Specified by:
        `getMessagesNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getMessagesNumberPerSec

          public float getMessagesNumberPerSec()

      Method description
      Specified by:
        `getMessagesNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getName

          public String getName()

      Get Attribute exposed for management
      Specified by:
        `getName` in interface `StatisticsProviderMBean`
      Returns:
        a value of `String`

    - #### getNonHeapMemUsage

          public float getNonHeapMemUsage()

      Method description
      Specified by:
        `getNonHeapMemUsage` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getNotificationInfo

          public MBeanNotificationInfo[] getNotificationInfo()

      Method description
      Returns:
        a value of `MBeanNotificationInfo[]`

    - #### getPresencesNumber

          public long getPresencesNumber()

      Method description
      Specified by:
        `getPresencesNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getPresencesNumberPerSec

          public float getPresencesNumberPerSec()

      Method description
      Specified by:
        `getPresencesNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getProcesCPUTime

          public long getProcesCPUTime()

      Method description
      Specified by:
        `getProcesCPUTime` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getQueueOverflow

          public long getQueueOverflow()

      Method description
      Specified by:
        `getQueueOverflow` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getQueueSize

          public int getQueueSize()

      Method description
      Specified by:
        `getQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getRegistered

          public long getRegistered()

      Method description
      Returns:
        a value of `long`

    - #### getServerConnections

          public int getServerConnections()

      Method description
      Specified by:
        `getServerConnections` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getServerConnectionsHistory

          public int[] getServerConnectionsHistory()

      Method description
      Specified by:
        `getServerConnectionsHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int[]`

    - #### getSMPacketsNumber

          public long getSMPacketsNumber()

      Method description
      Specified by:
        `getSMPacketsNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getSMPacketsNumberPerSec

          public float getSMPacketsNumberPerSec()

      Method description
      Specified by:
        `getSMPacketsNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getSMPacketsPerSecHistory

          public float[] getSMPacketsPerSecHistory()

      Method description
      Specified by:
        `getSMPacketsPerSecHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getSMQueueSize

          public int getSMQueueSize()

      Method description
      Specified by:
        `getSMQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getStats

          public long getStats(String cmp_name,
                      String stat,
                      long def)

      Method description
      Parameters:
        `cmp_name` -
        `stat` -
        `def` -
      Returns:
        a value of `long`

    - #### getStats

          public float getStats(String cmp_name,
                       String stat,
                       float def)

      Method description
      Parameters:
        `cmp_name` -
        `stat` -
        `def` -
      Returns:
        a value of `float`

    - #### getStats

          public String getStats(String cmp_name,
                        String stat,
                        String def)

      Method description
      Parameters:
        `cmp_name` -
        `stat` -
        `def` -
      Returns:
        a value of `String`

    - #### getStats

          public int getStats(String cmp_name,
                     String stat,
                     int def)

      Method description
      Parameters:
        `cmp_name` -
        `stat` -
        `def` -
      Returns:
        a value of `int`

    - #### getStatsHistory

          public Map<String,LinkedList<Object>> getStatsHistory(String[] statsKeys)

      Method description
      Specified by:
        `getStatsHistory` in interface `StatisticsProviderMBean`
      Parameters:
        `statsKeys` - is a `String[]`
      Returns:
        a value of `Map>`

    - #### getSystemDetails

          public String getSystemDetails()

      Method description
      Specified by:
        `getSystemDetails` in interface `StatisticsProviderMBean`
      Returns:
        a value of `String`

    - #### getUptime

          public long getUptime()

      Method description
      Specified by:
        `getUptime` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getDescription

          protected String getDescription(MBeanInfo info)

      Override customization hook: You can supply a customized description for MBeanInfo.getDescription()
      Overrides:
        `getDescription` in class `StandardMBean`
      Parameters:
        `info` -
      Returns:
        a value of `String`

    - #### getDescription

          protected String getDescription(MBeanAttributeInfo info)

      Override customization hook: You can supply a customized description for MBeanAttributeInfo.getDescription()
      Overrides:
        `getDescription` in class `StandardMBean`
      Parameters:
        `info` -
      Returns:
        a value of `String`

    - #### getDescription

          protected String getDescription(MBeanOperationInfo op,
                              MBeanParameterInfo param,
                              int sequence)

      Override customization hook: You can supply a customized description for MBeanParameterInfo.getDescription()
      Overrides:
        `getDescription` in class `StandardMBean`
      Parameters:
        `op` -
        `param` -
        `sequence` -
      Returns:
        a value of `String`

    - #### getDescription

          protected String getDescription(MBeanOperationInfo info)

      Override customization hook: You can supply a customized description for MBeanOperationInfo.getDescription()
      Overrides:
        `getDescription` in class `StandardMBean`
      Parameters:
        `info` -
      Returns:
        a value of `String`

    - #### getParameterName

          protected String getParameterName(MBeanOperationInfo op,
                                MBeanParameterInfo param,
                                int sequence)

      Override customization hook: You can supply a customized description for MBeanParameterInfo.getName()
      Overrides:
        `getParameterName` in class `StandardMBean`
      Parameters:
        `op` -
        `param` -
        `sequence` -
      Returns:
        a value of `String`

Copyright © 2014 "Tigase, Inc.". All rights reserved.